<mat-card *ngIf="wellData" class="selector-block">
  <mat-card-title>
    {{ wellData.isCustomMetadata ? 'Custom Data' : 'Current Well' }}
    <ng-container *ngIf="wellData.wellName">: {{ wellData.wellName }}</ng-container>
  </mat-card-title>

  <div *ngIf="wellData.wellName"><b>Well Name:</b> {{ wellData.wellName }}</div>
  <div *ngIf="wellData.wellNo"><b>Well No:</b> {{ wellData.wellNo }}</div>
  <div *ngIf="wellData.apiUwiNo"><b>UWI:</b> {{ wellData.apiUwiNo }}</div>

  <div *ngIf="wellData.slLatitude && wellData.slLongitude">
    <b>Coordinates:</b> {{ wellData.slLatitude }}, {{ wellData.slLongitude }}
  </div>
  <div *ngIf="wellData.stateName || wellData.countryName">
    <b>Location:</b>
    <ng-container *ngIf="wellData.stateName">{{ wellData.stateName }}</ng-container>
    <ng-container *ngIf="wellData.stateName && wellData.countryName">, </ng-container>
    <ng-container *ngIf="wellData.countryName"> {{ wellData.countryName }}</ng-container>
  </div>
  <div *ngIf="wellData.reservoir"><b>Reservoir:</b> {{ wellData.reservoir }}</div>
  <div *ngIf="wellData.fieldName"><b>Field:</b> {{ wellData.fieldName }}</div>
</mat-card>
